<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');
	require_once(CI_PATH_LIBS.'/filters.inc.php');
	require_once(CI_PATH_LIBS.'/skype.inc.php');
	require_once(CI_PATH_LIBS.'/trunks.inc.php');
	require_once(CI_PATH_LIBS.'/buttons.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$manager=new CI_FILTERS_IN();
	$info=$manager->get_info($_REQUEST['id']);

	/* Fields */
	$hidden_fields=array(
		'id'			=> $_REQUEST['id'],
		'task'			=> 'save',
		'from_skype'	=> $info['from_skype']
	);

	$fields=array(
		'base'	=> array(
			'fields'	=> array(
				'desc'		=> array('type' => 'text'),
				'policy'	=> array('type' => 'select', 'options' => array(
					'allow'	=> ci_lbl('filters.filterin.info.fld-policy.allow'),
					'deny'	=> ci_lbl('filters.filterin.info.fld-policy.deny')
				)),
				'enabled'	=> array('type' => 'yesno')
			)
		)
	);

	/* Basic form */
	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_action('actions/filterin.php');
	$form->set_fields($fields);
	$form->set_hidden_fields($hidden_fields);
	$form->set_tabs_label_prefix('filters.filterin.info.tab-');
	$form->set_fields_label_prefix('filters.filterin.info.fld-');

	$buttons=new CI_BUTTONS();
 	$buttons->add_stock_button('back');
 	if ($_REQUEST['id']) $buttons->add_stock_button('delete');
 	$buttons->add_stock_button('save');
?>
<script type="text/javascript">
	function on_modal_results(id, res)
	{
		if ((id=="delete") && (res==true))
		{
			$('form').task.value="delete";
			$('form').do_submit();
			ci_load_page('filters/filterin/index.php');
		}
	}
	
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'back':	ci_load_page('filters/filterin/index.php'); break;
			case 'reset':	$('form').reset(); break;
			case 'save':	$('form').do_submit(); break;
			case 'delete':	ci_modal_confirm("delete", "<?php echo ci_lbl('filters.filterin.info.confirm-delete') ?>", "on_modal_results"); break;
		}
		ci_hide_error_block('form_error');
	}

	function on_form_event(id, task)
	{  
	}

	function reload_from_skype_list()
	{
		ci_show_loader();

		var ajx=new Ajax(ci_uri_base+'/filters/filterin/info_from_skype.php?list='+ci_urlencode($('form').from_skype.value), {
			evalScripts:	true,
			method:			'get',
			update:			$('from_skype_loader'),
			onComplete:		function() {
				ci_hide_loader();
			}
		}).request();
	}

	function on_from_skype_change()
	{
		name=$('new_from_skype').value;
		if (!name) return;
		
		var items=$('form').from_skype.value ? $('form').from_skype.value.split(',') : new Array();

		items.push(name);
		$('new_from_skype').value='';

		items=ci_array_unique(items);
		$('form').from_skype.value=items.join(',');
		reload_from_skype_list();
	}

	function on_table_event(table, task, id)
	{
		if ((table == 'from_skype') && (task == 'delete'))
		{
			var items=$('form').from_skype.value ? $('form').from_skype.value.split(',') : new Array();
			$('form').from_skype.value=ci_array_remove(items, id).join(',');
			reload_from_skype_list();
		}
	}
</script>

<?php if ($_REQUEST['id']) { ?>
<div class="title"><?php echo ci_lbl("filters.filterin.info.title", array('name' => $info['desc'])) ?></div>
<?php } else { ?>
<div class="title"><?php echo ci_lbl("filters.filterin.info.title-new") ?></div>
<?php } ?>

<div class="help"><?php echo ci_hlp("filters.filterin.info") ?></div>
<?php echo $form->get() ?>

<div id="from_skype_loader" style="margin-bottom: 10px"></div>
<table>
	<tbody>
		<tr>
			<td><?php echo ci_lbl('filters.filterin.from-skype.new') ?></td>
			<td><input size="20" type="text" class="inputbox" id="new_from_skype" value="" /></td>
			<td><input class="button" value="<?php echo ci_lbl('common.add') ?>" type="button" onclick="on_from_skype_change()" /></td>
		</tr>
	</tbody>
</table>

<br />
<?php echo $buttons->get(); ?>

<script type="text/javascript">
	reload_from_skype_list();
</script>

