<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');
	require_once(CI_PATH_LIBS.'/routes.inc.php');
	require_once(CI_PATH_LIBS.'/skype.inc.php');
	require_once(CI_PATH_LIBS.'/trunks.inc.php');
	require_once(CI_PATH_LIBS.'/buttons.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$manager=new CI_ROUTES_OUT();
	$info=$manager->get_info($_REQUEST['id']);
	$values=array(
		'desc'		=> $info['desc'],
		'algorithm' => $info['algorithm']
	);

	/* Fields */
	$hidden_fields=array(
		'id'			=> $_REQUEST['id'],
		'task'			=> 'save',
		'use_skype'		=> $info['use_skype'],
		'from_channel'	=> $info['from_channel']
	);
	
	$algorithm_options=array(
		'firstfree'	=> ci_lbl('routes.routeout.info.fld-algorithm.firstfree'),
		'balance'	=> ci_lbl('routes.routeout.info.fld-algorithm.balance'),
		'random'	=> ci_lbl('routes.routeout.info.fld-algorithm.random')
	);

	$fields=array(
		'base'	=> array(
			'fields'	=> array(
				'desc'		=> array('type' => 'text'),
				'algorithm'	=> array('type' => 'select', 'options' => $algorithm_options)
			)
		)
	);

	/* Basic form */
	$form=new CI_FORMS('form');
	$form->set_values($values);
	$form->set_action('actions/routeout.php');
	$form->set_fields($fields);
	$form->set_hidden_fields($hidden_fields);
	$form->set_tabs_label_prefix('routes.routeout.info.tab-');
	$form->set_fields_label_prefix('routes.routeout.info.fld-');

	$manager_skype=new CI_SKYPE();
	$items=$manager_skype->get_list();
	$skype_select ='<select id="new_skype" onchange="on_skype_to_change()">';
	$skype_select.='<option value="">'.ci_lbl('common.select-one').'</option>';
	$skype_select.='<option value=""></option>';

	$skype_select.='<option value="*">'.ci_lbl('libskype.any').'</option>';
	
	foreach ($items as $item)
	{
		$desc=$item['desc'] ? '['.$item['desc'].']' : '';
		$skype_select.='<option value="'.$item['skype_username'].'">'.$item['skype_username'].'</option>';
	}
		
	$skype_select.='</select>';

	$manager_trunks=new CI_TRUNKS();
	$items=$manager_trunks->get_trunks();
	$trunks_select ='<select id="new_chan">';
	$trunks_select.='<option value="">'.ci_lbl('common.select-one').'</option>';
	$trunks_select.='<option value=""></option>';
	foreach ($items as $item)
	{
		$desc=$item['desc'] ? '['.$item['desc'].']' : '';
		$trunks_select.='<option value="'.$item['name'].'">'.$item['desc2'].' - '.$item['name'].'</option>';
	}
		
	$trunks_select.='</select>';

	$buttons=new CI_BUTTONS();
 	$buttons->add_stock_button('back');
 	if ($_REQUEST['id']) $buttons->add_stock_button('delete');
 	$buttons->add_stock_button('save');
?>
<script type="text/javascript">
	function on_modal_results(id, res)
	{
		if ((id=="delete") && (res==true))
		{
			$('form').task.value="delete";
			$('form').do_submit();
			ci_load_page('routes/routeout/index.php');
		}
	}
	
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'back':	ci_load_page('routes/routeout/index.php'); break;
			case 'reset':	$('form').reset(); break;
			case 'save':	$('form').do_submit(); break;
			case 'delete':	ci_modal_confirm("delete", "<?php echo ci_lbl('routes.routeout.info.confirm-delete') ?>", "on_modal_results"); break;
		}
		ci_hide_error_block('form_error');
	}

	function on_form_event(id, task)
	{
	}

	function reload_skypes_list()
	{
		ci_show_loader();

		var ajx=new Ajax(ci_uri_base+'/routes/routeout/info_skype.php?list='+escape($('form').use_skype.value), {
			evalScripts:	true,
			method:			'get',
			update:			$('skype_loader'),
			onComplete:		function() {
				ci_hide_loader();
			}
		}).request();
	}

	function reload_channels_list()
	{
		ci_show_loader();

		var ajx=new Ajax(ci_uri_base+'/routes/routeout/info_channels.php?list='+escape($('form').from_channel.value), {
			evalScripts:	true,
			method:			'get',
			update:			$('chan_loader'),
			onComplete:		function() {
				ci_hide_loader();
			}
		}).request();
	}

	function on_skype_to_change()
	{
		name=$('new_skype').value;
		if (!name) return;
		
		var items=$('form').use_skype.value ? $('form').use_skype.value.split(',') : new Array();

		items.push(name);
		$('new_skype').value='';

		items=ci_array_unique(items);
		$('form').use_skype.value=items.join(',');
		reload_skypes_list();
	}

	function on_channel_change()
	{
		name=$('new_chan').value;
		did=$('new_chan_did').value;

		if (!name) return;
		
		var items=$('form').from_channel.value ? $('form').from_channel.value.split(',') : new Array();

		var l=name.split(':');

		destination=l[1];
		if (did) destination=did+'@'+destination;
		if (l.length > 2) destination=destination+':'+l[2];
		destination=l[0]+':'+destination;

		items.push(destination);
		$('new_chan').value='';
		$('new_chan_did').value='';

		items=ci_array_unique(items);
		$('form').from_channel.value=items.join(',');
		
		reload_channels_list();
	}

	function on_table_event(table, task, id)
	{
		if ((table == 'skype') && (task == 'delete'))
		{
			var items=$('form').use_skype.value ? $('form').use_skype.value.split(',') : new Array();
			$('form').use_skype.value=ci_array_remove(items, id).join(',');
			reload_skypes_list();
		}
		else if ((table == 'chan') && (task == 'delete'))
		{
			var items=$('form').from_channel.value ? $('form').from_channel.value.split(',') : new Array();
			$('form').from_channel.value=ci_array_remove(items, id).join(',');
			reload_channels_list();
		}
		else if ((table == 'skype') && (task == 'sort'))
		{
			var items=$('form').use_skype.value ? $('form').use_skype.value.split(',') : new Array();
			
			items=ci_array_map_sort(items, id);
			$('form').use_skype.value=items.join(',');
			
			reload_skypes_list();
		}
	}
</script>

<?php if ($_REQUEST['id']) { ?>
<div class="title"><?php echo ci_lbl("routes.routeout.info.title", array('name' => $info['desc'])) ?></div>
<?php } else { ?>
<div class="title"><?php echo ci_lbl("routes.routeout.info.title-new") ?></div>
<?php } ?>

<div class="help"><?php echo ci_hlp("routes.routeout.info") ?></div>
<?php echo $form->get() ?>

<div class="title2">1. <?php echo ci_lbl("routes.routeout.chan") ?></div>
<div style="margin: 0 20px 0 20px; padding: 10px;">
	<div>
		<div id="chan_loader" style="margin-bottom: 10px"></div>
		<table>
			<tbody>
				<tr>
					<td><?php echo ci_lbl('routes.routeout.chan.new') ?></td>
					<td><?php echo $trunks_select ?></td>
					<td rowspan="3" style="border-left: 1px solid #c0c0c0; padding-left: 10px;"><input class="button" value="<?php echo ci_lbl('common.add') ?>" type="button" onclick="on_channel_change()" /></td>
				</tr>
				<tr>
					<td><?php echo ci_lbl('routes.routeout.chan.new.did') ?></td>
					<td><input size="20" type="text" class="inputbox" id="new_chan_did" value="" /></td>
				</tr>
			</tbody>
		</table>
	</div>
</div>
<br />
<div class="title2">2. <?php echo ci_lbl("routes.routeout.skype") ?></div>
<div style="margin: 0 20px 0 20px; padding: 10px;">
	<div>
		<div id="skype_loader" style="margin-bottom: 10px"></div>
		<table>
			<tbody>
				<tr>
					<td><?php echo ci_lbl('routes.routeout.skype.new') ?></td>
					<td><?php echo $skype_select ?></td>
					<td><input value="<?php echo ci_lbl('common.add') ?>" class="button" type="button" onclick="on_skype_to_change()" /></td>
				</tr>
			</tbody>
		</table>
	</div>
</div>
<br />
<?php echo $buttons->get(); ?>

<script type="text/javascript">
	reload_skypes_list();
 	reload_channels_list();
</script>

