<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/settings.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$hidden_fields=array('task'	=> 'save');

	$foo=ci_get_os_timezones();
	foreach ($foo as $i) $time_zones[$i]=$i;

	$foo=ci_get_languages();
	foreach ($foo as $i) $languages[$i]=$i;

	$fields=array(
		'credit'	=> array(
			'fields'	=> array(
				'credit_enabled'			=> array('type' => 'yesno', 'extra' => array('onchange' => 'on_credit_alerts_enabled_change()')),
				'credit_threshold'			=> array('type' => 'text'),
				'credit_media'				=> array('type' => 'media', 'modes' => array('message')),
				'credit_message_subject'	=> array('type' => 'text'),
				'credit_message_body'		=> array('type' => 'textarea')
			)
		)
	);

	$media_manager=new CI_SETTINGS_MEDIA();
	$media_items=$media_manager->get_list();

	$manager=new CI_SETTINGS_ALERTS();

	$info=$manager->get_info();

	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_action('actions/settings_alerts.php');
	$form->set_fields($fields);
	$form->set_hidden_fields($hidden_fields);
	$form->set_tabs_label_prefix('settings.alerts.tab-');
	$form->set_fields_label_prefix('settings.alerts.fld-');

	$form->buttons->add_stock_button('save');
?>
<script type="text/javascript">
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'save':	$('form').do_submit(); break;
		}
		ci_hide_error_block('form_error');
	}

	function on_form_event(id, task)
	{
	}

	function on_credit_alerts_enabled_change()
	{
		var val=$('form').credit_enabled.value;

		$('form').credit_media.disabled = (val != 'true');
		$('form').credit_message_subject.disabled = (val != 'true');
		$('form').credit_message_body.disabled = (val != 'true');
		$('form').credit_threshold.disabled = (val != 'true');
	}
</script>

<?php if (!sizeof($media_items)) { ?><div class="warn_block"><?php echo ci_lbl("common.nomedia") ?></div><?php } ?>
<div class="title"><?php echo ci_lbl("settings.alerts.title") ?></div>
<div class="help"><?php echo ci_hlp("settings.alerts") ?></div>

<?php echo $form->get() ?>

<script type="text/javascript">on_credit_alerts_enabled_change()</script>
