<?php
	require_once(CI_PATH_LIBS.'/skype.inc.php');
	
	class CI_SETTINGS_IGXAPI extends CI_SETTINGS
	{
		function get_config_file()
		{
			return IGX_PATH_BASE.'/config/system.xml';
		}
		
		function get_info()
		{
			$config=ci_get_unserialized_xml($this->get_config_file());
			return array(
				'enabled'		=> $config['web-server']['enabled'],
				'events_queue'	=> $config['web-server']['events-queue'] ? $config['web-server']['events-queue'] : 64,
				'events_url'	=> $config['web-server']['events-url'],
				'addr'			=> $config['web-server']['addr'] ? $config['web-server']['addr'] : '0.0.0.0',
				'port'			=> $config['web-server']['port'] ? $config['web-server']['port'] : 8081,
				'secret'		=> $config['web-server']['secret']
			);
		}

		function task_save($info)
		{
			
			$config=ci_get_unserialized_xml($this->get_config_file());
			$config['web-server']=array(
				'enabled'		=> $info['enabled'],
				'events-queue'	=> $info['events_queue'] ? $info['events_queue'] : 64,
				'events-url'	=> $info['events_url'],
				'addr'			=> $info['addr'] ? $info['addr'] : '0.0.0.0',
				'port'			=> $info['port'] ? $info['port'] : 8081,
				'secret'		=> $info['secret']
			);
			
			ci_save_xml($this->get_config_file(), $config);
			
			return ci_response_ok();
		}
	}
?>