<?php
	class CI_SYSTEM
	{
		function get_cpuinfo()
		{
			$out=array();
			$cpu_index=0;
			
			$lines=file('/proc/cpuinfo');
			foreach ($lines as $line)
			{
				$line=preg_replace('/[\n\r]+/', '', $line);
				list($k, $v)=preg_split('/\s*:\s*/', $line);

				if ($k == 'processor') $cpu_index=intval($v);

				$out[$cpu_index][$k]=preg_replace('/\s+/', ' ', $v);
			}

			return $out;
		}

		function get_meminfo()
		{
			$out=array();
			
			$lines=file('/proc/meminfo');
			foreach ($lines as $line)
			{
				$line=preg_replace('/[\n\r]+/', '', $line);
				list($k, $v)=preg_split('/\s*:\s*/', $line);

				$out[strtolower($k)]=intval($v);
			}

			return $out;
		}

		function get_hostname()
		{
			$out=file_get_contents('/etc/hostname');
			return preg_replace('/[\n\r\s]+/', '', $out);
		}

		function get_uptime()
		{
			list($uptime, $idle)=split(' ', file_get_contents('/proc/uptime'));

			return array(
				'uptime'	=> floatval($uptime),
				'idle'		=> floatval($idle)
			);
		}

		function get_uname()
		{
			$out=array(
				'name'		=> shell_exec('uname -s'),
				'release'	=> shell_exec('uname -r'),
				'machine'	=> shell_exec('uname -m'),
				'version'	=> shell_exec('uname -v')
			);

			foreach ($out as $k => $v) $out[$k]=preg_replace('/[\n\r]+/', '', $v);
			
			return $out;
		}

		function get_disk_usage()
		{
			$line=shell_exec('df '.S2P_PATH_BASE.'|tail -1');
			list($device, $full, $used, $free, $used_pct, $mountpoint)=preg_split('/\s+/', $line, 6);

			return array(
				'device'		=> $device,
				'full'			=> $full,
				'used'			=> $used,
				'free'			=> $free,
				'used_pct'		=> $used_pct,
				'mountpoint'	=> $mountpoint
			);
		}
	}
?>