#!/bin/bash

cd `dirname $0`
MYDIR=`pwd`
MYSCRIPT=`basename $0`
cd ../..
S2P_PATH_BASE=`pwd`
cd $MYDIR

S2P_OS_USERNAME=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^os.username | cut -d= -f2`
S2P_OS_GROUPNAME=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^os.groupname | cut -d= -f2`

##################################################################################
# Ubuntu default shell is dash, but usually bash is required

USED_SH=`readlink /bin/sh`
if [ "$USED_SH" != "/bin/bash" ]; then
	unlink /bin/sh
	ln -s /bin/bash /bin/sh
fi

##################################################################################
# User's settings

gpasswd -a $S2P_OS_USERNAME disk

GROUP_ID=`cat /etc/group|grep ^$S2P_OS_GROUPNAME: |cut -d: -f3`
USER_ID=`cat /etc/passwd|grep ^$S2P_OS_USERNAME: |cut -d: -f3`

sed -i "s|^$S2P_OS_USERNAME:.*|$S2P_OS_USERNAME:x:$USER_ID:$GROUP_ID:$S2P_OS_USERNAME:/:/bin/false|" /etc/passwd

##################################################################################
# Add /bin/false to shells' list

EXISTS=`cat /etc/shells |grep ^/bin/false -c`
if [[ "$EXISTS" -lt "1" ]]; then
	echo /bin/false >> /etc/shells
fi

##################################################################################
# Logrotate

cat << __EOF__ > /etc/logrotate.d/skip2pbx
/var/log/s2p/full.log {
        weekly
        missingok
        rotate 7
        postrotate
                [ ! -f /var/run/s2p/logger.pid ] || kill -HUP \`cat /var/run/s2p/logger.pid\`
        endscript
        compress
        notifempty
}
__EOF__

##################################################################################
# Configurazione drivers

$S2P_PATH_BASE/core/libexec/config_drivers.py

